Bug 393221 - we don't ship the city database
we don't ship the city database
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GeoIP (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Fleming
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 16:27 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-11-20 16:27:23 EST
Description of problem:

Any particular reason? It appears to be under the same license as the country
database that we do ship.

GeoIP-1.4.3-1.fc8
Comment 1 Michael Fleming 2007-12-05 07:03:15 EST
Bill,

Essentially because it wasn't part of the main tarball (the country database
always has been), it is fairly dynamic (and unless I release monthly updates
it's data is going to be obsolescent within weeks if not already the case) and
it adds around another 10-15mb to the package size (Maxmind have optimized their
databases recently so they're smaller than they used to - City was 26mb compressed!)

I remember a similar conversation about this with Matthias Saou and the result
was  the fetch-geoip-* Perl hacks I cooked up to fetch and decompress them (both
updated Country/City db's). It WORKSFORME but might not suit all tastes, obviously.

I don't mind shipping a "starter" City database with a new release provided
low-bandwidth users don't put a bounty on my head.  :-D (I know how they feel -
I'm in Australia, practically a broadband backwater..)

Would a devel branch release with this db as a feature suit as a "usability
case"? I suppose I can roll it back if there's a hue and cry..
Comment 2 Bill Nottingham 2007-12-05 12:24:53 EST
Well, my use case for it isn't working out, but it might be something
interesting to try.

FWIW, the fetch-geoip-* script didn't work for the City database for me, because
I didn't have a preexisting one.
Comment 3 Bug Zapper 2008-05-13 23:57:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:13:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 14:12:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.